// Include Standard files
#include "include/AT91SAM7X-EK.h"

/* Global variables */
#define SPEED 		(MCKKHz/1000)
unsigned int LedSpeed = SPEED *5000 ;
const int ledmask[NB_LED]= {LED1, LED2, LED3, LED4};


void wait ( void )
{
    unsigned int waiting_time ;
    for(waiting_time = 0; waiting_time < LedSpeed; waiting_time++) ;
//    AT91C_BASE_PMC->PMC_SCDR = 1;
//    AT91C_BASE_AIC->AIC_ISCR =  1 << AT91C_ID_SYS;
}



void fonction_IT (void)
{
// This function is to be executed for each interrupt on PIT
// To be completed ...





}

int main()
{
  
    // Fisrt, activate PIO_LED
       AT91C_BASE_PMC->PMC_PCER =  (1 << ID_PIO_LED);

	//then set IOs
	   BASE_PIO_LED->PIO_PER = LED_MASK; // Set in PIO mode
	   BASE_PIO_LED->PIO_OER = LED_MASK; // Configure in Output
	// and switch off all LEDs
	   BASE_PIO_LED->PIO_SODR = LED_MASK ;

	// PIT initialization
	// To be completed, expected PIT period is 0.25s
	
	
	
    // AIC initialization
	// To be completed...

  
	// infinite loop to make LED1 blink.
    for (;;)
    {
        BASE_PIO_LED->PIO_SODR = LED1;
        wait();
        BASE_PIO_LED->PIO_CODR = LED1;
        wait();
    }   
}
